function updateData(){
    // Read the data from the CurrData tab of the air quality logging sheet at https://docs.google.com/spreadsheets/d/1XfS5hF_Hr_PrOT1KfPwJNOVeQOGqvCKnrRhdHzksTi4/
    const url = "https://script.google.com/macros/s/AKfycbzjowCGirIuIOsJMM1YJgShwTtfFvp-cCWYE1yKfQCuyz3EKwHs_w2-pD0lAnTRX8_p/exec"
    fetch(url).then(response => response.text()).then(data => {
        // Data comes in as a text string. Split it by commas.
        let numbers = data;
        dataArray = numbers.split(",");
        //Fields are: Date, Name, pm25, pm10, Temp, Bar. Press (Pa), MainAqi Indicator, US AQI, Humidity, Color, bgcolor, Description, faceicon png
        // Convert date/time to "Tue Feb 25 2025 06:20 PM" format
        var date = new Date(dataArray[0]).toDateString();
        var time = new Date(dataArray[0]).toLocaleTimeString([], {hour: '2-digit', minute:'2-digit'});
        var displayDate = date+" "+time;
        // Write various data elements to their respective CSS ids
        document.getElementById("readingdate").innerHTML = displayDate;
        document.getElementById("locationname").innerHTML = dataArray[13];
        document.getElementById("pm25val").innerHTML = dataArray[2];
        document.getElementById("pm10val").innerHTML = dataArray[3];
        document.getElementById("temperature").innerHTML = dataArray[4];
        document.getElementById("pressure").innerHTML = dataArray[5];
        document.getElementById("mainaqi").innerHTML = dataArray[6];
        document.getElementById("aqivalue").innerHTML = dataArray[7];
        document.getElementById("humidity").innerHTML = dataArray[8];
        document.body.style.backgroundColor = dataArray[10];
        descriptionText = dataArray[11];
        document.getElementById("description").innerHTML = descriptionText;
        document.getElementById("faceicon").src = dataArray[12];

    })
}